DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# PixelTableGetOrigin

Get the origin of the pixel table

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_PixelTableGetOrigin ( table, origin, resources )

## FUNCTION

This function gets the origin of the pixel table `table`. All coordinates of the pixel table runs are defined relative to this origin. The origin is the pixel with coordinates (0,0), relative to the top left pixel.

Unless `PixelTableShiftOrigin` has been called, the origin is equal to the bounding box divided by 2 (integer divistion), meaning it is the middle pixel if the bounding box is odd in size, or the pixel to the right of the middle if it is even in size.

## ARGUMENTS

Data type | Name | Description
`dip_PixelTable *` | `table` | Pixel table
`dip_IntegerArray *` | `origin` | Pointer to a origin array
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

Description of DIPlib's pixel tables

`PixelTableNew`, `PixelTableSetRun`, `PixelTableGetRun`, `PixelTableAddRun`, `PixelTableGetRuns`, `PixelTableGetDimensionality`, `PixelTableGetDimensions`, `PixelTableGetSize`, `PixelTableGetPixelCount`, `PixelTableGetOffsetAndLength`